From 064deacd20c480e62d5eff51b4bbd5fb0c95f4f4 Mon Sep 17 00:00:00 2001
From: Changhui Liu <liuchanghui@linuxdeepin.com>
Date: Thu, 5 Feb 2015 11:25:00 +0800
Subject: mshtml: Fix fire BeforeNavigate event for app: protocol
To: wine-patches <wine-patches@winehq.org>
Reply-To: wine-devel <wine-devel@winehq.org>

---
 dlls/mshtml/navigate.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/dlls/mshtml/navigate.c b/dlls/mshtml/navigate.c
index 2ac12ea..f1de388 100644
--- a/dlls/mshtml/navigate.c
+++ b/dlls/mshtml/navigate.c
@@ -2231,7 +2231,8 @@ static HRESULT navigate_uri(HTMLOuterWindow *window, IUri *uri, const WCHAR *dis
 
     TRACE("%s\n", debugstr_w(display_uri));
 
-    if(window->doc_obj && window->doc_obj->webbrowser && window == window->doc_obj->basedoc.window) {
+    if(window->doc_obj && window->doc_obj->webbrowser &&
+        ((window == window->doc_obj->basedoc.window) || (window->parent == window->doc_obj->basedoc.window))) {
         DWORD post_data_len = request_data ? request_data->post_data_len : 0;
         void *post_data = post_data_len ? request_data->post_data : NULL;
         const WCHAR *headers = request_data ? request_data->headers : NULL;
-- 
1.9.1

